<?php require PATH . '/view/common/head.php'; ?>
<?php require PATH . '/view/common/header.php'; ?>
<?php require_once PATH.'/config/array.config.php'; ?>
<div class="container">
    <form method="post" enctype="multipart/form-data">
        <input type="hidden" name="_ACTION" value="save">
        <input type="hidden" name="_TOKEN" value="<?php echo $Token?>">
        <div class="mb-3">
            <label class="form-label">
                <?php echo $this->translate('Report');?></label>
            <div class="fw-semibold">
                <?php echo $Reports[$Listing['report']];?>
            </div>
        </div>
        <div class="mb-3">
            <label class="form-label">
                <?php echo $this->translate('Description');?></label>
            <div class="fs-sm">
                <?php echo $Listing['body'];?>
            </div>
        </div>
        <div class="mb-3 d-flex">
            <a href="<?php echo APP.'/admin/game/'.$Listing['id'];?>">
                <?php echo picture(GAME_FOLDER,'thumb-'.$Listing['image'],'img-fluid rounded-1',$Listing['title'],'75,150');?>
            </a>
            <div class="ps-4 lh-sm py-2">
                <div class="fs-xs text-muted">
                    <?php echo '#'.$Listing['id'];?>
                </div>
                <div class="fw-semibold fs-base d-inline-block mb-2">
                    <?php echo $Listing['title'];?></div>
            </div>
        </div>
        <div class="mb-3">
            <label class="form-label">
                <?php echo $this->translate('Release Date');?></label>
            <div class="fs-sm">
                <?php echo dating($Listing['created']);?>
            </div>
        </div>
            <div class="form-switch mb-3">
                        <input class="form-check-input" type="checkbox" id="status" name="status" value="1" <?php if(isset($Listing['status']) AND $Listing['status'] == 1) echo 'checked=""';?>>
                <label class="form-check-label" for="status">
                    <?php echo $this->translate('Solved');?></label>
            </div>
        <button type="submit" class="btn btn-primary w-xl-300 py-3 mb-3">
            <?php echo $this->translate('Save changes');?></button>
    </form>
</div>
<?php require PATH . '/view/common/javascript.php'; ?>
<?php require PATH . '/view/common/footer.php'; ?>