<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Name');?></label>
    <input type="text" name="title" class="form-control form-control-lg" placeholder="<?php echo $this->translate('Name');?>" required="true" value="<?php if(isset($Listing['title'])) echo $Listing['title'];?>">
    <?php if(isset($Listing['self'])) { ?>
    <div class="fs-xs mt-2">
        <span class="fw-semibold">Permalink : </span>
        <span class="permalink">
            <?php echo APP;?>/<input type="text" name="self" class="form-control d-inline-block fs-xs py-0 bg-transparent border-0 shadow-none px-0 fw-semibold w-auto" value="<?php echo $Listing['self'];?>"></span>
    </div>
    <?php } ?>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo self::translate('Genre');?></label>
    <div>
        <select name="categories[]" class="bs-select" multiple data-live-search="true" required="true">
            <?php foreach($Categories as $Category) { ?>
            <option value="<?php echo $Category['id'];?>" <?php if(isset($SelectCategories) && in_array($Category['id'], $SelectCategories)) echo ' selected=""' ;?>
                <?php echo 'data-text="'.$Category['name'].'"';?>>
                <?php echo $Category['name'];?>
            </option>
            <?php } ?>
        </select>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Overview');?></label>
    <textarea name="overview" class="form-control" rows="3" placeholder="<?php echo $this->translate('Overview');?>"><?php if(isset($Listing['overview'])) echo $Listing['overview'];?></textarea>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo self::translate('Game File');?> <span class="fw-semibold">(.zip)</span></label>
    <input class="form-control" type="file" name="file" id="formFile">
    <div class="mt-2 text-muted fs-xs">
        <div class="py-1">
            <?php echo self::translate('Must contain index.html on root');?>
        </div>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Control');?></label>
    <textarea name="control" class="form-control" rows="3" placeholder="<?php echo $this->translate('Control');?>"><?php if(isset($Listing['control'])) echo $Listing['control'];?></textarea>
</div>
<div class="row">
    <div class="col-lg-6">
        <div class="mb-3">
            <label class="form-label">
                <?php echo self::translate('Width');?></label>
            <input type="text" name="data[width]" class="form-control" placeholder="Width" value="<?php echo isset($Data['width']) ? $Data['width'] : null;?>" maxlength="25">
        </div>
    </div>
    <div class="col-lg-6">
        <div class="mb-3">
            <label class="form-label">
                <?php echo self::translate('Height');?></label>
            <input type="text" name="data[height]" class="form-control" placeholder="Height" value="<?php echo isset($Data['height']) ? $Data['height'] : null;?>" maxlength="25">
        </div>
    </div>
</div>