<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Site name');?></label>
    <input type="text" name="data[<?php echo $key;?>][company]" class="form-control" placeholder="<?php echo $this->translate('Site name');?>" value="<?php echo get($Settings, 'data.company', $key);?>">
</div>
<div class="row">
    <div class="col-lg-4">
        <div class="mb-3">
            <label for="icon" class="form-label">
                <?php echo $this->translate('Logo');?></label>
            <input class="form-control" name="logo" type="file" id="logo">
        </div>
    </div>
    <div class="col-lg-4">
        <div class="mb-3">
            <label for="icon" class="form-label">
                <?php echo $this->translate('Dark Logo');?></label>
            <input class="form-control" name="dark_logo" type="file" id="logo">
        </div>
    </div>
    <div class="col-lg-4">
        <div class="mb-3">
            <label for="icon" class="form-label">
                <?php echo $this->translate('Favicon');?></label>
            <input class="form-control" name="favicon" type="file" id="favicon">
        </div>
    </div>
    <div class="col-lg-6">
        <div class="mb-3">
            <label class="form-label">
                <?php echo $this->translate('Language');?></label>
            <select name="data[<?php echo $key?>][language]" class="form-select">
                <?php foreach ($Languages as $Language) { ?>
                <option value="<?php echo $Language['language'];?>" <?php if(get($Settings,'data.language',$key)==$Language['language']) echo 'selected' ;?>>
                    <?php echo $Language['name'];?>
                </option>
                <?php } ?>
            </select>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="mb-3">
            <label class="form-label">
                <?php echo $this->translate('Dashboard language');?></label>
            <select name="data[<?php echo $key?>][dashboard_language]" class="form-select">
                <?php foreach ($Languages as $Language) { ?>
                <option value="<?php echo $Language['language'];?>" <?php if(get($Settings,'data.dashboard_language',$key)==$Language['language']) echo 'selected' ;?>>
                    <?php echo $Language['name'];?>
                </option>
                <?php } ?>
            </select>
        </div>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Advanced');?></label>
    <div class="row row-cols-xl-5 row-cols-2">
        <div class="col-auto">
            <div class="form-switch mb-2">
                <input class="form-check-input" id="comment_disable" type="checkbox" name="data[<?php echo $key?>][comment_disable]" value="1" <?php if(get($Settings,'data.comment_disable',$key)=='1' ) echo 'checked="true"' ;?>>
                <label class="form-check-label" for="comment_disable">
                    <?php echo $this->translate('Turn off comment and review');?></label>
            </div>
        </div>
        <div class="col-auto">
            <div class="form-switch mb-2">
                <input class="form-check-input" id="comment" type="checkbox" name="data[<?php echo $key?>][comment]" value="1" <?php if(get($Settings,'data.comment',$key)=='1' ) echo 'checked="true"' ;?>>
                <label class="form-check-label" for="comment">
                    <?php echo $this->translate('Confirm comments add');?></label>
            </div>
        </div>
        <div class="col-auto">
            <div class="form-switch mb-2">
                <input class="form-check-input" id="history" type="checkbox" name="data[<?php echo $key?>][history]" value="1" <?php if(get($Settings,'data.history',$key)=='1' ) echo 'checked="true"' ;?>>
                <label class="form-check-label" for="history">
                    <?php echo $this->translate('Play history');?></label>
            </div>
        </div>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Head custom code');?></label>
    <textarea name="data[<?php echo $key;?>][custom_code]" class="form-control" placeholder="<?php echo $this->translate('Head custom code');?>" rows="4"><?php echo get($Settings, 'data.custom_code', $key);?></textarea>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Footer description');?></label>
    <div class="card p-2 shadow-none">
        <textarea name="data[<?php echo $key;?>][footer_text]" class="form-control" placeholder=""><?php echo htmlspecialchars_decode(get($Settings, 'data.footer_text', $key));?></textarea>
    </div>
</div>