<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Site title');?></label>
    <input type="text" name="data[<?php echo $key;?>][title]" class="form-control form-control-lg" placeholder="<?php echo $this->translate('Site title');?>" value="<?php echo get($Settings, 'data.title', $key);?>">
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Site description');?></label>
    <textarea name="data[<?php echo $key;?>][description]" class="form-control" placeholder="<?php echo $this->translate('Site description');?>"><?php echo get($Settings, 'data.title', $key);?></textarea>
</div>
<hr class="my-4 bg-gray-200">
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Games title');?></label>
    <input type="text" name="data[<?php echo $key;?>][games_title]" class="form-control" placeholder="<?php echo $this->translate('Games title');?>" value="<?php echo get($Settings, 'data.games_title', $key);?>">
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Games description');?></label>
    <textarea name="data[<?php echo $key;?>][games_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Games description');?>"><?php echo get($Settings, 'data.games_description', $key);?></textarea>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Play title');?></label>
    <input type="text" name="data[<?php echo $key;?>][play_title]" class="form-control" placeholder="<?php echo $this->translate('Play title');?>" value="<?php echo get($Settings, 'data.play_title', $key);?>">
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Play description');?></label>
    <textarea name="data[<?php echo $key;?>][play_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Play description');?>"><?php echo get($Settings, 'data.play_description', $key);?></textarea>
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<hr class="my-4 bg-gray-200">
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Profile title');?></label>
    <input type="text" name="data[<?php echo $key;?>][profile_title]" class="form-control" placeholder="<?php echo $this->translate('Profile title');?>" value="<?php echo get($Settings, 'data.profile_title', $key);?>">
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[username]</span>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Profile description');?></label>
    <textarea name="data[<?php echo $key;?>][profile_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Profile description');?>"><?php echo get($Settings, 'data.profile_description', $key);?></textarea>
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[username]</span>
    </div>
</div>
<hr class="my-4 bg-gray-200">
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Category title');?></label>
    <input type="text" name="data[<?php echo $key;?>][category_title]" class="form-control" placeholder="<?php echo $this->translate('Category title');?>" value="<?php echo get($Settings, 'data.category_title', $key);?>">
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Category description');?></label>
    <textarea name="data[<?php echo $key;?>][category_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Category description');?>"><?php echo get($Settings, 'data.category_description', $key);?></textarea>
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<hr class="my-4 bg-gray-200">
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Tag title');?></label>
    <input type="text" name="data[<?php echo $key;?>][tag_title]" class="form-control" placeholder="<?php echo $this->translate('Tag title');?>" value="<?php echo get($Settings, 'data.tag_title', $key);?>">
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Tag description');?></label>
    <textarea name="data[<?php echo $key;?>][tag_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Tag description');?>"><?php echo get($Settings, 'data.tag_description', $key);?></textarea>
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<hr class="my-4 bg-gray-200">
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Search title');?></label>
    <input type="text" name="data[<?php echo $key;?>][search_title]" class="form-control" placeholder="<?php echo $this->translate('Search title');?>" value="<?php echo get($Settings, 'data.search_title', $key);?>">
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>
<div class="mb-3">
    <label class="form-label">
        <?php echo $this->translate('Search description');?></label>
    <textarea name="data[<?php echo $key;?>][search_description]" class="form-control" rows="3" placeholder="<?php echo $this->translate('Search description');?>"><?php echo get($Settings, 'data.search_description', $key);?></textarea>
    <div class="fs-xs text-muted mt-2">
        <?php echo $this->translate('Available variables');?>
        <span class="fw-semibold text-primary ms-1">[name]</span>
    </div>
</div>