<div class="layout-section">
    <div class="layout-heading mb-3 text-muted d-flex align-items-center">
        <h3 class="fs-lg fw-bold mb-0">
            <?php echo $this->translate('Liked games');?>
        </h3>
    </div>
    <?php if(isset($Likes)) { ?>
    <div class="card-masonry">
        <?php foreach ($Likes as $Like) { ?>
        <a href="<?php echo play($Like['id'],$Like['self']);?>" class="card">
            <?php echo picture(GAME_FOLDER,'thumb-'.$Like['image'],'img-fluid',$Like['title'],GAME_X.','.GAME_Y);?>
            <div class="card-body">
                <h3>
                    <?php echo $Like['title'];?>
                </h3>
            </div>
        </a>
        <?php } ?>
    </div>
    <div class="text-center mt-4">
        <?php echo $Pagination;?>
    </div>
    <?php } else { ?>
    <div class="fs-sm text-muted">
        <?php echo $this->translate('No game played before');?>
    </div>
    <?php } ?>
</div>