<div class="layout-section">
    <div class="layout-heading mb-3 text-muted d-flex align-items-center">
        <h3 class="fs-lg fw-bold mb-0">
            <?php echo $this->translate('Keep playing');?>
        </h3>
    </div>
    <?php if(isset($Plays)) { ?>
    <div class="card-masonry">
        <?php foreach ($Plays as $Play) { ?>
        <a href="<?php echo play($Play['id'],$Play['self']);?>" class="card">
            <?php echo picture(GAME_FOLDER,'thumb-'.$Play['image'],'img-fluid',$Play['title'],GAME_X.','.GAME_Y);?>
            <div class="card-body">
                <h3>
                    <?php echo $Play['title'];?>
                </h3>
            </div>
        </a>
        <?php } ?>
    </div>
    <div class="text-center mt-4">
        <?php echo $Pagination;?>
    </div>
    <?php } else { ?>
    <div class="fs-sm text-muted">
        <?php echo $this->translate('No game played before');?>
    </div>
    <?php } ?>
</div>